#coding: utf-8

import hashlib
import psutil


def collect():
    '''
    Собираем информацию о подключенных разделах. В качестве ключа
    используется MD5-хэш, т.к. 
    '''
    result = {}
    partitions = psutil.disk_partitions()

    for store in partitions:
        m = hashlib.md5()
        m.update(store.mountpoint)
        name_hash = m.hexdigest()

        info = psutil.disk_usage(store.mountpoint)
        result[name_hash] = {
            'total': info.total,
            'mount': store.mountpoint,
            'fs': store.fstype,
            'device': store.device
        }

    return result
